Subject: Re: [PATCH] powerpc: add support for PAGE_SIZEs greater than 4KB for

From: Ilya Yanok <[email-masked]>
Date: Fri, 12 Sep 2008 01:51:18 +0400

Hi,

prodyut hazarika wrote:
> Also, it would be great if you could point me what changes are
> necessary to recompile the binutils.
> I would like to test the 256KB changes on my Canyonlands board. I have
> got 16KB/64KB working.
>   

I think this should be enough:

--- binutils-2.16.1/ld/emulparams/elf32ppc.sh.orig    2007-08-21 
14:18:56.000000000 +0200
+++ binutils-2.16.1/ld/emulparams/elf32ppc.sh    2007-08-21 
14:19:42.000000000 +0200
@@ -8,7 +8,7 @@ GENERATE_PIE_SCRIPT=yes
 SCRIPT_NAME=elf
 OUTPUT_FORMAT="elf32-powerpc"
 TEXT_START_ADDR=0x01800000
-MAXPAGESIZE=0x10000
+MAXPAGESIZE=0x40000
 COMMONPAGESIZE=0x1000
 ARCH=powerpc:common
 MACHINE=
--- binutils-2.16.1/bfd/elf32-ppc.c.orig    2007-09-04 
13:11:29.000000000 +0200
+++ binutils-2.16.1/bfd/elf32-ppc.c    2007-09-04 13:10:25.000000000 +0200
@@ -6197,7 +6197,7 @@
 #ifdef __QNXTARGET__
 #define ELF_MAXPAGESIZE        0x1000
 #else
-#define ELF_MAXPAGESIZE        0x10000
+#define ELF_MAXPAGESIZE        0x40000
 #endif
 #define ELF_MINPAGESIZE        0x1000
 #define elf_info_to_howto    ppc_elf_info_to_howto

And you need to rebuild the whole RFS with patched binutils of cause.

Regards, Ilya.